> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/az/agws/post-showcase-gateway-api-v1-test-status/responses.md).

# Responses

Responses:

| Параметрлер        | Формат | Сипаты                                                                                        |
| ------------------ | ------ | --------------------------------------------------------------------------------------------- |
| result             | Object | Ақпарат қамтылған сауалдың нәтижесі                                                           |
| -error\_code       | uint   | Қате коды                                                                                     |
| -message           | String | Қатенің сипаты                                                                                |
| -data              | Object | Деректер туралы ақпарат                                                                       |
| --status\_code     | String | Транзакция мәртебесінің коды                                                                  |
| --status\_message  | String | Транзакция мәртебесінің сипаты                                                                |
| –username          | String | Пайдаланушы сәйкестендіргіші                                                                  |
| –processed\_amount | Float  | Есептелген сома                                                                               |
| –commission        | Float  | Комиссия сомасы                                                                               |
| –datetime          | String | Витрина жүйесіндегі төлем бастамашылығының уақыты. ISO 8601 Current Timestamp форматы         |
| –project           | String | Жобаның Tarlan берген коды                                                                    |
| –service\_code     | String | Витрина жағындағы қызмет сәйкестендіргіші                                                     |
| –external\_id      | String | Витрина жағындағы төлем сәйкестендіргіші                                                      |
| -additional\_data  | Object | Қызметке байланысты қайтарылатын қосымша ақпарат (Қызметке байланысты осы жол өзгеруі мүмкін) |

Сәтті сауал кезіндегі жауап

200: OK

```go
{
    "result":{
        "error_code" : 0,
        "message": "",
        "data": {
            "status_code": "2",
            "status_message": "Transaction successfully processed",
            "username": "989898",
            "amount": "100",
            "date_time": "2022-12-01T15:45:00Z",
            "project": "mobile",
            "service_code": "201106",
            "external_id": "200001",
        },
        "additional_data":{}
}
```

Сәтсіз сауал кезіндегі жауап:

```go
{
    "result": {
        "error_code" : 1041,
        "message": "Order not found",
        "data": {},
        "additional_data":null
    }
}
```

Егер /cash-in әдісіне аралық мәртебе алынса, төлемнің соңғы мәртебесін /status әдісімен қосымша сұрату керек. Толығырақ Транзакция мәртебесінің анықтамалығынан қараңыз


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/az/agws/post-showcase-gateway-api-v1-test-status/responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
